Tibata Docs
API ReferenceSpaces

Create Space

Creates a single space

POST
/v1/spaces

Authorization

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired

Space to add

nameRequiredstring

Name of the space

slugstring

URL-friendly identifier for the space, unique within the organization. Auto-generated from the name if not provided.

Pattern: "^[a-z0-9]+(?:-[a-z0-9]+)*$"
descriptionstring

Short description of the space

curl -X POST "https://api.tibata.ai/v1/spaces" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Space 1",
    "slug": "space-1",
    "description": "Space 1 description"
  }'

Space created

{
  "data": {
    "id": "tB6gszM_JPk7vKaHfz1H4",
    "name": "Space 1",
    "slug": "space-1",
    "description": "Space 1 description",
    "url": "https://app.tibata.ai/o/my-org/space-1"
  }
}